<?php use_helper('UrlFunctions'); ?>
<?php use_helper('UtilProyecto'); ?>
<?php
ViewResponse::getInstance()->setMethodAjax();
if( isset( $v_Id ) )
{
    try 
    {
        $o_Proy_t_proyectoFN = new Proy_t_proyectoFN();
        $o_Proy_t_proyectoFN->setUsuarioregistro( $v_Id );
        $a_Proy_t_proyecto = $o_Proy_t_proyectoFN->select();
        if( $a_Proy_t_proyecto )
        {
            throw new Exception( "No se puede eliminar el usuario, tiene proyectos asociados." );
        }
        
        $o_Proy_usuarioDP = new Proy_usuarioDP();
        $o_Proy_usuarioDP->setUser_id( $v_Id );
        $b_Result = $o_Proy_usuarioDP->delete();
        if( !$b_Result )
        {
            throw new Exception( "No se puede eliminar el usuario1." );
        }
        
        $o_Mnu_userDP = new Mnu_userDP();
        $o_Mnu_userDP->setUser_id( $v_Id );
        $b_Result = $o_Mnu_userDP->delete();
        if( !$b_Result )
        {
            throw new Exception( "No se puede eliminar el usuario2." );
        }
    }
    catch ( Exception $o_Exception )
    {
        ?>
        <script>
        alert( "<?php echo $o_Exception->getMessage() ?>" );
        </script>
        <?php
    }
}
?>
<script>
findControl();
</script>
